<div class="justify-content-center align-items-center contain space">
  <div class="text-center title wow fadeIn">
    <h1>ToDolist</h1>
  </div>
</div>

<div class="py-5">
  <div class="card-deck justify-content-center" style="width: 100%">
    <div *ngFor="let todolist of todolists">
      <div class="py-3 px-3">
        <div class="row d-flex justify-content-center">
          <div class="col">
            <mdb-card style="height: auto; width: 80vw; margin: auto">
              <!--Card content-->
              <mdb-card-body>
                <!--Title-->
                <mdb-card-title style="font-size: calc(5px + 1.3vw)">
                  <p>{{ todolist["title"] }}</p>
                </mdb-card-title>

                <!--Text-->
                <mdb-card-text>
                  <div class="customDatatable">
                    <ngx-datatable
                      class="material"
                      [rows]="todolist['taches']"
                      [columnMode]="'force'"
                      [headerHeight]="50"
                      [footerHeight]="50"
                      [loadingIndicator]="true"
                      [reorderable]="true"
                      rowHeight="auto"
                    >
                      ////////Actions/////////
                      <ngx-datatable-column
                        name="Actions"
                        [sortable]="false"
                        prop="actions"
                        [width]="70"
                      >
                        <ng-template
                          let-column="column"
                          let-sort="sortFn"
                          ngx-datatable-header-template
                        >
                          {{ column.name }}
                        </ng-template>
                        <ng-template
                          let-row="row"
                          let-value="value"
                          ngx-datatable-cell-template
                        >
                          <a
                            type="button"
                            class="btn btn-sm btn-primary"
                            (click)="click(row['id'])"
                            ><i class="far fa-edit"></i
                          ></a>
                          <a
                            type="button"
                            class="btn btn-sm btn-danger"
                            (click)="click(row['id'])"
                            ><i class="fas fa-trash"></i
                          ></a>
                        </ng-template>
                      </ngx-datatable-column>
                      ////////Titre///////////
                      <ngx-datatable-column
                        name="Titre"
                        [sortable]="false"
                        prop="title"
                        [width]="10"
                      >
                        <ng-template
                          let-column="column"
                          let-sort="sortFn"
                          ngx-datatable-header-template
                        >
                          {{ column.name }}
                        </ng-template>
                      </ngx-datatable-column>
                      //////Description/////
                      <ngx-datatable-column
                        name="Description"
                        [sortable]="false"
                        prop="description"
                        [width]="370"
                      >
                        <ng-template
                          let-column="column"
                          let-sort="sortFn"
                          ngx-datatable-header-template
                        >
                          {{ column.name }}
                        </ng-template>
                      </ngx-datatable-column>
                      ////////Status/////////
                      <ngx-datatable-column
                        name="Statuts"
                        [width]="20"
                        [sortable]="true"
                        prop="Status"
                      >
                        <ng-template
                          let-column="column"
                          let-sort="sortFn"
                          ngx-datatable-header-template
                        >
                          {{ column.name }}
                        </ng-template>
                      </ngx-datatable-column>
                      ///////Users//////////
                      <ngx-datatable-column
                        name="Utilisateur"
                        [sortable]="false"
                        prop="User"
                      >
                        <ng-template
                          let-column="column"
                          let-sort="sortFn"
                          ngx-datatable-header-template
                        >
                          {{ column.name }}
                        </ng-template>
                      </ngx-datatable-column>
                    </ngx-datatable>
                  </div>
                </mdb-card-text>
              </mdb-card-body>
            </mdb-card>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!--Modal-->
<div
  mdbModal
  #Modifier="mdbModal"
  class="modal fade top"
  id="frameModalTop"
  tabindex="-1"
  role="dialog"
  aria-labelledby="myModalLabel"
  aria-hidden="true"
  style="overflow-y: auto"
>
  <!--Dialog-->
  <div class="modal-dialog modal-notify modal-info" role="document">
    <!--Content-->
    <div class="modal-content">
      <!--Header-->
      <div class="modal-header text-center">
        <h4 class="modal-title white-text w-100 font-weight-bold py-2">
          Add Event
        </h4>
        <button
          type="button"
          class="close"
          data-dismiss="modal"
          aria-label="Close"
          (click)="Modifier.hide()"
        >
          <span aria-hidden="true" class="white-text">&times;</span>
        </button>
      </div>

      <!--Body-->
      <div class="modal-body">Modal Body</div>

      <!--Footer-->
      <div class="modal-footer justify-content-center">
        <button
          type="button"
          mdbBtn
          color="info"
          class="waves-effect"
          mdbWavesEffect
        >
          Add
        </button>
      </div>
      <!--Footer-->
    </div>
    <!--/.Content-->
  </div>
  <!--/.Dialog-->
</div>
<!--/.Modal-->
